Skip to main content
GET
/
v1
/
positions
List positions
curl --request GET \
  --url https://staging.api.us.aptlydone.com/settings/v1/positions \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:22.014Z",
  "message": "Success",
  "data": {
    "page": 1,
    "limit": 10,
    "total": 100,
    "data": [
      {
        "id": "1533d1e1-b367-4b1e-bd45-bec6d1939149",
        "tenantId": "7991d6c1-8488-406e-acf6-f07e7d1399e8",
        "positionId": "10000",
        "positionName": "Senior Developer",
        "isSCIMProvisioned": false,
        "status": "ACTIVE",
        "isDeleted": false,
        "createdOn": "2025-01-13T12:34:59.300Z",
        "updatedOn": "2025-01-13T12:34:59.300Z",
        "groups": [
          {
            "groupName": "Engineering Team",
            "displayName": "Engineering Team Display",
            "groupTypeName": "Organizations",
            "groupId": "9fbe4911-1eae-499e-9190-a447a7134fe7",
            "groupTypeId": "a51e8d10-388f-4042-b8a8-578b7ace6992",
            "parentId": 2,
            "parentName": "Technology Division",
            "createdAt": "2025-01-13T12:34:59.303Z",
            "updatedAt": "2025-01-13T12:34:59.303Z"
          }
        ],
        "delegationsReceived": 1,
        "delegationsIssued": 1,
        "externalId": "EXT-POS-12345",
        "instanceId": "db036aaa-14fe-454a-bc23-a722e4106925"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

Required range: x >= 1
Example:

1

limit
number

Number of items per page

Required range: 1 <= x <= 100
Example:

10

tenantId
string
required

Tenant ID

Example:

"577f399b-6df2-4074-867f-f879534afd05"

sourceType
string

Source type of the position (comma separated)

Example:

"All,Directory Sync"

groupIds
string

Group IDs (comma separated)

Example:

"f6997661-0ffb-4b0b-900b-089e3f45ebce, c2a38576-e4f9-4e55-8bde-746b59ffd6b3"

status
string

Status (comma separated)

Example:

"ACTIVE,INACTIVE"

Search by position name

Example:

"Developer"

sortBy
string

Field to sort by

Example:

"positionName"

sortOrder
enum<string>
default:desc

Sort order (asc/desc)

Available options:
asc,
desc
Example:

"asc"

select
string

Specific fields to select (comma separated)

Example:

""

fields
string

Specific fields to select (comma separated) - DEPRECATED: Use select instead

Example:

"id,positionName"

selectedPositionIds
string

Comma separated Selected Position IDs

Example:

"97c76f4c-1afa-45c8-b9bd-b3766493bbf3, c6c72413-9cab-46b2-8c7a-c8510bf580ba"

createdDateStart
string<date-time>

Creation date range - start date

Example:

"2024-01-01T00:00:00.000Z"

createdDateEnd
string<date-time>

Creation date range - end date

Example:

"2024-12-31T23:59:59.999Z"

updatedDateStart
string<date-time>

Last updated date range - start date

Example:

"2024-01-01T00:00:00.000Z"

updatedDateEnd
string<date-time>

Last updated date range - end date

Example:

"2024-12-31T23:59:59.999Z"

issuerType
enum<string>

Delegation issuer type

Available options:
ROOT_AUTHORITY,
PERSONNEL_IN_POSITION,
POSITION_ONLY,
SPECIFIC_PERSONNEL
Example:

"ROOT_AUTHORITY"

issuerUserId
string

Delegation issuer user id

Example:

"fecd3cfa-1d5e-4e77-bdd4-fb7f2bf20514"

issuerPositionId
string

Delegation issuer position id

Example:

"fb33b892-54fd-4612-bddd-b95f6397264f"

delegationPathway
string
default:[]

Delegation Pathway (comma separated)

Example:

"Matrix,Functional"

recipientType
enum<string>

Delegation recipient type

Available options:
PERSONNEL_IN_POSITION,
POSITION_ONLY,
SPECIFIC_PERSONNEL
Example:

"PERSONNEL_IN_POSITION"

sortPositionIds
string

Comma separated Position IDs to be sorted on top

Example:

"4b319888-21d9-41ab-bdbf-9aa332f9f470, e2bbb502-3c6f-4d64-822a-48b6653c7698"

Response

200 - application/json

Positions list retrieved successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-08T06:33:22.014Z"

message
string
required
Example:

"Success"

data
object